<loader *ngIf="isLoading$ | async" [textLoader]="'Patiente un peu...'"></loader>
<ng-container *ngIf="canDisplay$ | async">
    <app-title [title]="'Paramètres'"></app-title>
    <div [className]="globals.isMobile ? 'has-margin-left-4 has-margin-right-4 has-margin-top-3' : 'is-flex is-justify-center has-margin-top-3'">
        <div [className]="globals.isMobile ? 'background' : 'background width-2'">
            <div [className]="globals.isMobile ? 'is-flex is-column is-align-center' : 'is-flex is-align-center is-space-around has-margin-left-4 has-margin-right-4'">
                <button *ngIf="isReadonly" [className]="globals.isMobile ? 'button default-style settings has-margin-top-2' : 'button default-style settings'" (click)="edit()">Éditer mon compte <img width="20px" class="has-margin-left-1" (click)="edit()" src="assets/images/pen.png"/></button>
                <div [className]="globals.isMobile ? 'is-flex is-column is-align-center' : 'is-flex is-column has-margin-left-4 has-margin-right-4 has-margin-bottom-2'">
                    <img width="90px" [src]="getImgUserTupe()"/>
                    <p>{{userType}}</p>
                </div>
                <button *ngIf="isReadonly" [className]="globals.isMobile ? 'button default-style settings has-margin-bottom-2' : 'button default-style settings'" (click)="askDelete()">Supprimer le compte <img width="30px"  class="has-margin-left-1" src="assets/images/croix.png" /></button>
                <div class="is-flex is-column is-align-center">
                    <button *ngIf="!isReadonly" class="button default-style is-flex settings size" (click)="editPassword()" id="changeMDP">changer mon mot de passe</button>
                    <button *ngIf="!isReadonly" class="button default-style is-flex settings has-margin-bottom-2" (click)="editEmail()" id="changeMDP">changer mon email</button>
                </div>
            </div>
            <!-- <div *ngIf="change$ | async">
                <form class="is-flex" [formGroup]="Password" (ngSubmit)="changePassword()">
                    <div class="is-flex" id="isPasswordDiv">
                        <input formControlName="oldPassword" [type]="inputType" placeholder="Ancien mot de passe" id="MDP" required>
                        <img id="eye"  (click)="Display('MDP')" [src]="eyeImg">
                    </div>
                    <div class="is-flex" id="isPasswordDiv">
                        <input #Input formControlName="password" (input)="checkPassword()" (focus)="pop()" (blur)="pop()" [type]="inputType2" placeholder="Mot de passe" id="MDP2" required>
                        <img id="eye"  (click)="Display('MDP2')" [src]="eyeImg2">
                    </div>
                    <div *ngIf="appear" class="is-flex is-column has-top-margin has-bottom-margin">
                        <div class="self-start" *ngFor="let check of checks">
                            <img [src]="check.img">
                            <label>{{check.text}}</label>
                        </div>
                     </div>
                    <p id="E" *ngIf="Same">⚠️ Ton ancien et ton nouveau mot de passe sont pareils ! ⚠️</p>
                    <button #ButtonPassword2 class="button" id="submit" type="submit" >Valider</button>
                </form>
            </div> -->
            <form *ngIf="pass$ | async" class="is-flex" [formGroup]="account" (ngSubmit)="Submit()">
                <!-- <input formControlName="email" type="email" placeholder="Email" required [readonly]="isReadonly">
                <input formControlName="lastname" type="text" placeholder="Nom" required  [readonly]="isReadonly">
                <input formControlName="firstname" type="text" placeholder="Prénom" required  [readonly]="isReadonly">
                <input formControlName="pseudo" type="text" placeholder="Pseudonyme" required  [readonly]="isReadonly"> -->
                <app-password [password]="'hidden'" [text]="'Nom'" formControlName="lastname" [isReadonly]="isReadonly"></app-password>
                <app-password [password]="'hidden'" [text]="'Prénom'" formControlName="firstname" [isReadonly]="isReadonly"></app-password>
                <app-password [password]="'hidden'" [text]="'Pseudonyme'" formControlName="pseudo" [isReadonly]="isReadonly"></app-password>
                <div *ngIf="userType === 'Enfant' && isReadonly" class="is-flex">
                    <label id="label">Classe : </label>
                    <label [style.color]="color" class="is-classLabel">{{classLevel}}</label>
                </div>
                <div *ngIf="userType === 'Enfant' && !isReadonly" id="is-Child" [className]="globals.isMobile ? 'is-flex is-align-center is-column' : 'is-flex is-space-around is-align-center'">
                    <label [className]="globals.isMobile ? 'font-size-mobile has-margin-right-2' : 'font-size-desktop has-margin-right-2'" id="label">Quelle est ta classe ? </label>
                    <div class="is-flex">
                        <label (mouseenter)="Enter(i)" (mouseleave)="Leave(i)" (click)="ChangeClass(i)" [style.color]="item.activeColor" [className]="globals.isMobile ? 'is-classLabel-mobile has-margin-right-1': 'has-cursor-pointer is-classLabel has-margin-right-1'" *ngFor="let item of classItems; let i = index" [for]="item.value">
                            <input class="has-cursor-pointer" type="radio" formControlName="chosenClass" [id]="item.value" [value]="item.value"/>
                            {{item.text}}
                        </label>
                    </div>
                </div>
               
                <button #ButtonPassword class="button default-style submit-style has-margin-bottom-2 has-margin-top-2" *ngIf="!isReadonly" id="submit" type="submit">Valider</button>
            </form>
        </div>
    </div>
</ng-container>

<!-- <div #Failure class="modal">
    <div id="black" class="modal-background"></div>
        <div class="position-relative">
        <img src="../assets/images/croix.png" (click)="cancel('failure')" class="modal-close"/>
        <div class="modal-content">
            <img id="IconModal" src="../assets/images/error.png">
            <h2 id="titleModal"> Une erreur est survenue ! </h2>
            <p id="is-modal-paragraph"> Il semble y avoir un problème. </p>
            <button id="submitFailure" class="fail" (click)="tryAgain()">Réessayer</button>
        </div>
    </div>
</div> -->
<!-- <div #Success class="modal">
    <div id="black" class="modal-background"></div>
      <div class="position-relative">
        <img src="../assets/images/croix.png" (click)="cancel('success')" class="modal-close"/>
        <div class="modal-content">
          <img id="IconModal" [src]="success.img">
          <h2 id="titleModal"> {{success.text2}}</h2>
          <p id="is-modal-paragraph"> {{success.text}}</p>
          <button id="submit" (click)="redirect()">Valider</button>
        </div>
    </div>
</div> -->

<div #Success class="modal">
    <div class="modal-background"></div>
    <div class="modal-card">
      <header class="modal-card-head">
        <div class="is-flex is-align-center is-column flex-grow-4">
          <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" [src]="success.img">
          <p class="modal-card-title has-margin-top-1">{{success.text2}}</p>
        </div>
        <button (click)="cancel('success')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
      </header>
      <section class="modal-card-body is-flex is-column">
        <p class="is-modal-paragraph"> {{success.text}}</p>
        <button class="default-style submit-style has-margin-top-10" (click)="redirect()">Valider</button>
      </section>
    </div>
</div>

<div #Failure class="modal">
    <div class="modal-background"></div>
    <div class="modal-card">
      <header class="modal-card-head">
        <div class="is-flex is-align-center is-column flex-grow-4">
          <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/error.png">
          <p class="modal-card-title has-margin-top-1">Une erreur est survenue !</p>
        </div>
        <button (click)="cancel('failure')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
      </header>
      <section class="modal-card-body is-flex is-column">
        <p class="is-modal-paragraph"> Il semble y avoir un problème.</p>
        <button class="default-style failure-style has-margin-top-10" (click)="tryAgain()">Réessayer</button>
      </section>
    </div>
</div>

<div #PasswordAsking class="modal">
    <div class="modal-background"></div>
    <div class="modal-card">
      <header class="modal-card-head">
        <p class="modal-card-title has-margin-top-1">Rentre ton mot de passe</p>
        <button (click)="cancel('passA')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
      </header>
      <section class="modal-card-body is-flex is-column">
          <form class="is-flex" [formGroup]="verify">
            <app-password [password]="'visible'" [text]="'Mot de passe'" formControlName="password"></app-password>
            <button #ButtonPassword2 *ngIf="verify.valid" class="button default-style submit-style" (click)="loginUser()">Valider</button>
          </form>
      </section>
    </div>
</div>
<div #Email class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <p class="modal-card-title has-margin-top-1">Changer mon email</p>
      <button (click)="cancel('email')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body is-flex is-column">
        <form class="is-flex" [formGroup]="EmailForm">
          <app-password [password]="'hidden'" [text]="'Nouvel email'" formControlName="email"></app-password>
          <!-- <button #SubmitButton5 *ngIf="EmailForm.valid" class="button default-style submit-style" (click)="verifyUser('email')">Valider</button> -->
        </form>
    </section>
  </div>
</div>
<div #NewPassword class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <p class="modal-card-title has-margin-top-1">Changer mon mot de passe</p>
      <button (click)="cancel('pass')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body is-flex is-column">
        <form class="is-flex" [formGroup]="Password">
          <app-password [password]="'visible'" [text]="'Nouveau mot de passe'" [checkInput]="'true'" formControlName="password"></app-password>
          <button #SubmitButton4 *ngIf="isValid()" class="button default-style submit-style" (click)="verifyUser('pass')">Valider</button>
        </form>
    </section>
  </div>
</div>
<!-- 
<div #PasswordAsking class="modal">
    <div id="black" class="modal-background"></div>
      <div class="position-relative">
        <img src="../assets/images/croix.png" (click)="cancel('passA')" class="modal-close"/>
        <div class="modal-content">
          <img id="IconModal" src="">
          <h2 id="titleModal"> Rentre ton mot de passe </h2>
          <form class="is-flex" [formGroup]="verify">
            <div class="is-flex" id="isPasswordDiv">
                <input [type]="inputType3" placeholder="Mot de passe" id="MDP3" required>
                <img id="eye" (click)="Display('MDP3')" [src]="eyeImg3">
              </div>
              <button *ngIf="verify.valid" id="submit" (click)="verifyUser()">Valider</button>
          </form>
        
        </div>
    </div>
</div> -->
<div #Warning class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/warning.png">
        <p class="modal-card-title has-margin-top-1">Supprimer ton compte ?</p>
      </div>
      <button (click)="cancel('warning')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body">
      <div class="is-flex is-column is-align-center justify-center content">
          <p class="is-modal-paragraph"> Es-tu sûr de vouloir supprimer ton compte? Tu ne pourras plus y avoir accès.</p>
          <div class="is-flex buttons">
            <button #SubmitButton3 [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" (click)="removeAccount()">Confirmer</button>
            <button [className]="isMobile ? 'button default-style is-cancel has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop is-cancel has-margin-top-1 has-margin-bottom-2'" (click)="cancel('warning')">Annuler</button>
          </div>
      </div>
    </section>
  </div>
</div>